This is an archived version of the documentation for SonarQube-7.3.
See the Latest Documentation for current functionality.

Release 6.7.5 Upgrade Notes

Commercial Edition Must Be Upgraded

Because a new server identifier will be generated at upgrade to this version, startup will fail unless you upgrade your commercial edition to the latest compatible version. I.E. don't just copy over your edition plugins from one instance to the next, but make sure to download the latest edition bundle.

SonarLint must be upgraded

Analyzers provided as part of a commercial package will be disabled in old versions of SonarLint. SonarLint users must upgrade to the latest available version:

  • SonarLint for Eclipse: 3.3+.

  • SonarLint for IntelliJ: 3.1+

Multi-version upgrade

Don't forget to read all the intermediate upgrade notes if you're upgrading more than a single version.